Page MenuHomeFreeBSD

sysutils/uefi-edk2-qemu: Replace "python2.7" with "${PYTHON_CMD}"
ClosedPublic

Authored by bcran on Feb 3 2020, 5:21 PM.

Details

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

bcran retitled this revision from Replace "python2.7" with "${PYTHON_CMD}" and use ${WRKSRC} consistently. to sysutils/uefi-edk2-qemu: Replace "python2.7" with "${PYTHON_CMD}" and use ${WRKSRC} consistently..Feb 3 2020, 5:21 PM

Unfortunately this has broken the port for anyone without python 2.7 installed. Could somebody approve me to commit this fix please?
@araujo @mat ?

And I know there are several problems with the Makefile, which I've learned through my updates to the uefi-edk2-bhyve port. But I'd like to get this fix committed and then, once the changes to uefi-edk2-bhyve are committed I'll fix the issues with this port based on what I've learned.

araujo requested changes to this revision.Feb 5 2020, 2:52 AM

How are you testing these changes that you didn't catch this problem before?

Please, use poundriere for every change you are making and add the results in the "Test" part of the PHAB review (A link to somewhere with the poundriere tests).

Also those changes for ${BUILD_WRKSRC} to ${WRKSRC} are unnecessary IMHO, changes to PYTHON first and make the port buildable again and avoid more failures seems safer.

This revision now requires changes to proceed.Feb 5 2020, 2:52 AM

How are you testing these changes that you didn't catch this problem before?

I was running portlint and just make etc. on my desktop. I'll test using poudriere from now on.

Please, use poundriere for every change you are making and add the results in the "Test" part of the PHAB review (A link to somewhere with the poundriere tests).

ok.

Also those changes for ${BUILD_WRKSRC} to ${WRKSRC} are unnecessary IMHO, changes to PYTHON first and make the port buildable again and avoid more failures seems safer.

That's fair. I'll revert the other changes.

Simplify change to just the PYTHON_CMD fix.

bcran retitled this revision from sysutils/uefi-edk2-qemu: Replace "python2.7" with "${PYTHON_CMD}" and use ${WRKSRC} consistently. to sysutils/uefi-edk2-qemu: Replace "python2.7" with "${PYTHON_CMD}".Feb 5 2020, 7:58 AM
bcran edited the summary of this revision. (Show Details)
bcran edited the test plan for this revision. (Show Details)

LGTM, add the Approved by as usual.

This revision is now accepted and ready to land.Feb 7 2020, 1:44 AM